> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/contacts-api/api-reference/manage-contact-lists/list-contacts-in-a-list.md).

# List contacts in a list

{% openapi src="<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>" path="/workspaces/{workspaceId}/lists/{listId}/contacts" method="get" %}
<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>
{% endopenapi %}

## Examples

Let's establish some of our data that will be used in the following examples:

* **Workspace ID**: a1405560-c8d3-4b1a-877d-3f449ad95352
* **AccessKey:** abcd
* **List ID**: 123e4567-e89b-12d3-a456-426614174000

### List contacts from a list

In this example, we are listing all the contacts from a list given given the list ID.

{% tabs %}
{% tab title="Request" %}

```bash
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists/123e4567-e89b-12d3-a456-426614174000/contacts" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "results": [
    {
      "id": "12bd0e40-9361-4e32-8b26-99b4ab7eae09",
      "computedDisplayName": "John",
      "featuredIdentifiers": [
        {
          "key": "emailaddress",
          "value": "contacts@bird.com"
        }
      ],
      "identifierCount": 1,
      "attributes": {
        "emailaddress": [
          "contacts@bird.com"
        ],
        "firstName": "John",
        "initialReference": "32d6f4f9-7e9c-4271-bd83-9d6976808f2f",
        "lastName": "Doe",
        "timezone": "America/Sao_Paulo"
      },
      "listIds": [
        "12bd0e40-9361-4e32-8b26-99b4ab7eae09"
      ],
      "createdAt": "2024-11-26T15:00:00.000Z",
      "updatedAt": "2024-11-26T15:00:00.000Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}
